Deleted Added
full compact
stderr-after-eof.sh (180751) stderr-after-eof.sh (255670)
1# $OpenBSD: stderr-after-eof.sh,v 1.1 2002/03/23 16:38:09 markus Exp $
1# $OpenBSD: stderr-after-eof.sh,v 1.2 2013/05/17 04:29:14 dtucker Exp $
2# Placed in the Public Domain.
3
4tid="stderr data after eof"
5
2# Placed in the Public Domain.
3
4tid="stderr data after eof"
5
6DATA=/etc/motd
7DATA=${OBJ}/data
8COPY=${OBJ}/copy
9
10if have_prog md5sum; then
11 CHECKSUM=md5sum
12elif have_prog openssl; then
13 CHECKSUM="openssl md5"
14elif have_prog cksum; then
15 CHECKSUM=cksum
16elif have_prog sum; then
17 CHECKSUM=sum
18else
19 fatal "No checksum program available, aborting $tid test"
20fi
21
22# setup data
23rm -f ${DATA} ${COPY}
24cp /dev/null ${DATA}
25for i in 1 2 3 4 5 6; do
6# setup data
7rm -f ${DATA} ${COPY}
8cp /dev/null ${DATA}
9for i in 1 2 3 4 5 6; do
26 (date;echo $i) | $CHECKSUM >> ${DATA}
10 (date;echo $i) | md5 >> ${DATA}
27done
28
29${SSH} -2 -F $OBJ/ssh_proxy otherhost \
30 exec sh -c \'"exec > /dev/null; sleep 2; cat ${DATA} 1>&2 $s"\' \
31 2> ${COPY}
32r=$?
33if [ $r -ne 0 ]; then
34 fail "ssh failed with exit code $r"
35fi
36egrep 'Disconnecting: Received extended_data after EOF' ${COPY} &&
37 fail "ext data received after eof"
38cmp ${DATA} ${COPY} || fail "stderr corrupt"
39
40rm -f ${DATA} ${COPY}
11done
12
13${SSH} -2 -F $OBJ/ssh_proxy otherhost \
14 exec sh -c \'"exec > /dev/null; sleep 2; cat ${DATA} 1>&2 $s"\' \
15 2> ${COPY}
16r=$?
17if [ $r -ne 0 ]; then
18 fail "ssh failed with exit code $r"
19fi
20egrep 'Disconnecting: Received extended_data after EOF' ${COPY} &&
21 fail "ext data received after eof"
22cmp ${DATA} ${COPY} || fail "stderr corrupt"
23
24rm -f ${DATA} ${COPY}